# 4. Computer controlled cutting

## Class site

[Computer-Controlled Cutting](http://academy.cba.mit.edu/classes/computer_cutting/index.html)

## Class video
[Fab-20190206B_Review02: computer-aided design](https://vimeo.com/315759623)  
[Fab-20190206D_Lesson03: computer-controlled cutting](https://vimeo.com/315759994)  
[video](https://vimeo.com/academany/)

## Assignment
>   **group assignment** :  
>      characterize your lasercutter, making test part(s)  
>         that vary cutting settings and dimensions  
>  
>   **individual assignment** :  
>      cut something on the vinylcutter  
>      design, lasercut, and document a parametric press-fit construction kit,  
>         accounting for the lasercutter kerf,  
>         which can be assembled in multiple ways  

## (1)Laser Cutting
## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-controlled_cutting.html)

- Demonstrate and describe parametric 2D modelling processes
- Identify and explain processes involved in using the laser cutter.
- Develop, evaluate and construct the final prototype

## Have you?

- Explained how you parametrically designed your files
- Shown how you made your press-fit kit
- Included your design files and photos of your finished project

## (2)Vinyl Cutting
## Learning outcomes
- Identify and explain processes involved in using this machine.
- Design and create the final object

## Have you?
- Explained how you drew your files
- Shown how you made your vinyl project
- Included your design files and photos of your finished project

## For Japanese
### Final Project Tracking Page
Week1のスケッチ、Week3のCADで作ったFinal Projectの一部を使って、Final Project Tracking Pageを作り、毎週書き足しましょう

### レーザー加工機使用時の注意
- never leave laser under unsupervise
- presessionで説明したことを守りましょう   

## Group Assignment
- ラボサイトにまとめる予定でしたが、各人のサイトにGroup Assignmentで取り組んだ様子と結果、学んだことなどを書くことになりました  
- 受講生全員が参加していることをインストラクターが確認します
- FAQ [**What does characterise mean?**](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-controlled_cutting.html#FAQ)
    - Describe/understand the nature and features (of your particular laser cutter)
- Inkscapeのclone機能だけでは、パラメトリックとしては不十分
    - [past student page](http://fab.academany.org/2018/labs/fablabdassault/students/emily-stgermain/3cutting/3cutting.html)
    - [parametric-svg tutorial](https://github.com/parametric-svg/tutorial)
- kerf: 切り口の幅
    - ref. [http://www.teskolaser.com/laserglossaryk.html](http://www.teskolaser.com/laserglossaryk.html)  
![kerf](http://www.teskolaser.com/images/kerf.gif) 

    - ref. [http://www.connorkirk.com/blog/2015/12/14/compensating-for-laser-cutter-kerf](http://www.connorkirk.com/blog/2015/12/14/compensating-for-laser-cutter-kerf)
    ![kerf](https://static1.squarespace.com/static/54b22441e4b0404ef36fd4a6/t/566eab9be0327c1e7799e67d/1450093472573/laser_cutter_kerf_01?format=1500w)

    - [Universal CO2 Lense 2"](https://www.ulsinc.com/available-lenses)
        - spot size: 0.005" (0.13mm)
    ![CO2 Lenses](https://cdn.ulsinc.com/assets/images/592b98f176b6741c15762311/lens-selections_03.png)

    - class: kerf 0.010" (0.254mm)

    - class: FreeCAD video [GIK.mp4](http://academy.cba.mit.edu/classes/computer_cutting/GIK.mp4)
    - FreeCAD file [GIK.fcstd](http://academy.cba.mit.edu/classes/computer_cutting/GIK.fcstd)

- 方法
    - 使う材料において、適切なレーザー加工機の出力パラメーターを出す(Power, Speed, DPI)
    - 実際にkurfを測る
        - デザイン寸法の分かるものを切って、カットしたもののサイズを測り、差からkurfを求める
    - Combをつくってフィットする寸法を見つける
        - [comb](https://www.instagram.com/p/BsZD5OmHyrw/)
        - FabLab平塚道用先生作: [Kerf Check Parts Generator](http://doyolab.net/appli/kerf_check/kerf_check.html?fbclid=IwAR01KLqCcPG7N330m94uvon7F0YwIBq96gF_81GiJ_CsMUBhh5bVPawAJKs)

### Assignment
- Laser Cutter
    -  得られたkerfの値も含めたパラメトリックデザインのpress-fit constructin kitを作る
    -  multiple waysに組み立てられるものであること
    -  simple slotではなく、chamfer（面取り）も加えましょう
![joints.jpg](http://academy.cba.mit.edu/classes/computer_cutting/joints.jpg)
    -  材料: ダンボール A3 3mm厚
        - アクリルやMDFと違い、向きで特性が異なるので注意
        - 細くなっている箇所は燃えます
    - Fusion 360 > Change Parameters > Sketch
    - Fusion 360からsvgを便利に書き出せるAPP [Shaper Utilities](https://apps.autodesk.com/FUSION/en/Detail/Index?id=3662665235866169729&appLang=en&os=Win64)

- Vinal Cutter
    - test cut each time
    - silhouette CAMEO and [Silhouette Studio Ver3 or Ver4](http://silhouettejapan.jp/download/index.html)
    - Make:
        - Laptop Sticker
        - Sand Blast -> 関内はこれをやります

### Extra credit
- Flatではないものを作る
- Inkscape Extention
    - インストール方法: download and unpack the archive file. Copy the files into the directory listed at **Edit > Preferences > System: User extensions**. After a **restart** of Inkscape, the new extension will be available.
    - [Inkscape Extention](https://inkscape.org/ja/gallery/=extension/?page=4&)
        - [Living Hinge Creator](https://inkscape.org/ja/~drphonon/%E2%98%85living-hinge-creator)
            - [Inkscape Extension to Render a Living Hinge](http://wiki.lvl1.org/Inkscape_Extension_to_Render_a_Living_Hinge)  
- Trotec: Download CorelDRAW and PDF
    - JP: [Trotec 曲げ加工のカット技法](https://www.troteclaser.com/ja/knowledge/tips-for-laser-users/bending-technique/) 
    - EN: [Kerf cut: Trotec Wood and acrylic sheets bending applications](https://www.trotec-materials.com/material-usage-hints/bending-trotec-materials): 


### 読みましょう
- FabAcademy-Assessment: 6.[Computer-Controlled Cutting](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-controlled_cutting.html)
- FabAcademy-Tutorials: [4.1-4.5](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week03_computer_controlled_cutting/laser.html)

### Useful links
- Inkscape Extentions
    - [Deepnest ](https://deepnest.io/)
    - [inkscape-silhouette](https://github.com/fablabnbg/inkscape-silhouette)
    - [TabbedBoxMaker](https://github.com/paulh-rnd/TabbedBoxMaker)
    - [can generator](Inkscape-Dosen-Generator)

## For Next Week
- Monday 9:00 EST, 23:00 JST
    - Recitaion: projects
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 13:00-14:00 JSTの参加者が少ない
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248) 予定
- Wednesday 9:00 EST, 23:00JST
    - videoconference
        - [https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Electronics Production](http://academy.cba.mit.edu/classes/electronics_production/index.html)

 
## assignment
>   **group assignment:**  
>      characterize the design rules for your PCB production process  
>
>   **individual assignment:**  
>      make an in-circuit programmer by milling the PCB,  
>      *check if you can program it*,  
>      then optionally try other PCB processes  
>         ATtiny45  
>            Sean Tomás Jonathan Brian Zaerc  
>         ATtiny44  
>            Ali Valentin Bas Andy David   
>               hello.ISP.44.cad board components traces interior  
>               hello.ISP.44.res.cad board traces interior  
>               inventory microcontroller crystal USB connector ribbon connector Zener diode jumper  
>               firmware.zip programming  
>         USB timing  


