# 7. Electronics design

## Class site

[Electronics Design](http://academy.cba.mit.edu/classes/electronics_design/index.html)

## Class video
[Fab-20190227B_Review05: 3D scanning and printing](https://vimeo.com/320588564)  
[Fab-20190227D_Lesson06: electronics design](https://vimeo.com/320589012)  
[video](https://vimeo.com/academany/)  


## Assignment
> **group project**:  
>      use the test equipment in your lab to observe the operation  
>         of a microcontroller circuit board  
> **individual project**:  
>      redraw the echo hello-world board,  
>      add (at least) a button and LED (with current-limiting resistor)  
>      check the design rules, make it, and test it  
>      extra credit: simulate its operation  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/electronics_design.html)
- Select and use software for circuit board design
- Demonstrate workflows used in circuit board design

## Have you?
- Shown your process using words/images/screenshots
- Explained problems and how you fixed them, including how you worked with design rules for milling (DRC in EagleCad and KiCad)
- Included original design files (Eagle, KiCad, Inkscape, .cad - whatever)

## [turorial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week06_electronic_design/eagle_english.html)
[7.1. Introduction to EAGLE](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week06_electronic_design/eagle_english.html)  
[7.2. Why did we put a 20MHz crystal on the Hello FTDI?](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week06_electronic_design/about_clock_speed.html)  
[7.3. Eagle Resources](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week06_electronic_design/eagle_resources.html)  


## For Japanese

### MDX-15環境
- 捨て板(MDF 4mm)：交換済
- 面だし：済
    -　[MDX-15 捨て板面出し](https://docs.google.com/document/d/1S7pZujZKYoe-0l6L0VkCLh-3aJF-dn8J7iHrws6baXk/edit)
- スピンドル遊び：修正済 > Fabmodules 1/64 cut depth: 0.2 mm


### Assignment
- EDA(Electronic Design Automation,電子設計オートメーション)
    - [KiCad](http://kicad-pcb.org/)
        - [KiCad ことはじめ](http://kicad.jp/translate/getting_started_in_kicad.pdf) 
    - [Eagle](https://www.autodesk.com/products/eagle/overview)
- libraries
    - [https://gitlab.cba.mit.edu/pub/libraries](https://gitlab.cba.mit.edu/pub/libraries) > FabAcademyで使うもの(KiCad, Eagle)
    - [Digi-Key KiCad Library](https://www.digikey.com/en/resources/design-tools/kicad) > 表面実装の電子部品の購入先(KiCad)
- Eagle
    - Pre-session資料
        -  [Eagle2018 Ver. 9.2.2](https://docs.google.com/document/d/1-hHECx0qzh-yrdE2FyP4fjdRUFBbuvHNXGTxU0cE_sQ/edit)
        -  [Eagle new library](https://docs.google.com/document/d/1yp9s3nSWgDtlByNteDzCPhyOYmRfFxTuJTehgiDnPtc/edit)
- やること 

> redraw the [echo hello-world board](http://academy.cba.mit.edu/classes/embedded_programming/index.html#echo), 

![http://academy.cba.mit.edu/classes/embedded_programming/hello.ftdi.44.png](http://academy.cba.mit.edu/classes/embedded_programming/hello.ftdi.44.png)

> add (at least) a button and LED (with current-limiting resistor)  

- buttom
    - [タクトスイッチ](https://www.digikey.jp/product-detail/ja/B3SN-3112P/SW262CT-ND/60835/?itemSeq=279757433)
- LED
    - [LED RED CLEAR 1206 SMD-](https://www.digikey.jp/product-detail/ja/LTST-C150CKT/160-1167-1-ND/269239/?itemSeq=279757179): Vf(forward voltage,順方向電圧)=1.8V
    - [LED GREEN CLEAR 1206 SMD-](https://www.digikey.jp/product-detail/ja/LTST-C150GKT/160-1169-1-ND/269241/?itemSeq=279757180): Vf=2.1V
    - [LED YELLOW ORANGE CLEAR 1206 SMD](https://www.digikey.jp/product-detail/ja/LTST-C150KFKT/160-1403-1-ND/386757/?itemSeq=279757181): Vf=2V
    - [LED BLUE CLEAR 1206 REV MT SMD](https://www.digikey.jp/product-detail/ja/LTST-C230TBKT/160-1889-1-ND/3306146/?itemSeq=279757182): Vf=3.3V    
    - [LED WHITE YELLOW 260MCD 1206](https://www.digikey.jp/product-detail/ja/LTW-150TK/160-1737-1-ND/758709/?itemSeq=279757183): Vf=3.2V   
- Resistor
    - [1K ohm](https://www.digikey.jp/product-detail/ja/RC1206FR-071KL/311-1.00KFRCT-ND/731334/?itemSeq=279755432)
    - プルアップ抵抗: [プルアップ抵抗について解説](https://qiita.com/kasei-san/items/2b95b60597ce6b153d61)

> check the design rules,

- Eagle: DRCで確認 > 1/64"(0.4 mm)のパスが作れるか

> make it, 

- 切削: fabmodulesで基板のサイズ確認とPNGのdpi変更を忘れずに
- 半田付け

> and test it  

- [http://academy.cba.mit.edu/classes/embedded_programming/hello.ftdi.44.program.png](http://academy.cba.mit.edu/classes/embedded_programming/hello.ftdi.44.program.png)
- 書込み: [hello.ftdi.44.echo.interrupt.c hello.ftdi.44.echo.interrupt.c.make](http://academy.cba.mit.edu/classes/embedded_programming/index.html#echo)
- FabISPを使う
- term.py を動かしてテスト > [Embedded Programming](http://academy.cba.mit.edu/classes/embedded_programming/index.html#echo) > 検索  
    -　Arduinoのシリアルモニタでもできる 
- [USB-TTLシリアル5V Cable](https://www.digikey.jp/product-detail/ja/TTL-232R-5V/768-1028-ND/2003493/?itemSeq=279757849)
    - [data sheet](https://www.digikey.jp/ja/datasheets/ftdifuturetechnologydevicesinternationalltd/ftdi-future-technology-devices-international-ltddsttl232rcables)
    - [ドライバー](https://www.ftdichip.com/Drivers/VCP.htm) 
    - FTDIピンに差し込む向きに注意 > GND(黒)が上
- [FTDI USBシリアル変換アダプター](https://www.switch-science.com/catalog/2782/)
    - [ドライバー](https://www.ftdichip.com/Drivers/VCP.htm) 


> extra credit: simulate its operation  

### Group Assignment
- test equipment
    - テスター（Multimeter）
    - Oscilloscope: [Tektronix TBS1052B](https://jp.tek.com/oscilloscope/tbs1052b?utm_source=google&utm_medium=ppc&utm_term=&utm_campaign=DSA&gclid=Cj0KCQiAh9njBRCYARIsALJhQkFrMPJRDzeflvWGEjdO_c7kOK_RDY4i-6NbNVEt-PrcwzxAAHlRH6IaAisEEALw_wcB)
- 作った基板の動きやデバッグでオシロスコープを使ってみる  
![](http://academy.cba.mit.edu/classes/embedded_programming/serial.png)




## For Next Week
- Monday 9:00 EST, 23:00 JST
    - Recitaion: none
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - 可能な限り参加してください
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 EST, 23:00JST
    - videoconference
        - [https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Computer-Controlled Machining](http://academy.cba.mit.edu/classes/computer_machining/index.html)

## assignment  
>  **group assignment**  
>      - test runout, alignment, speeds, feeds, and toolpaths for your machine  
>
>   **individual assignment**  
>      - make something big  

- 3/9(土)
    - データ作成
        - 材料：15mm x 1,220mm x 1,215mm 1枚
        - 厚みは実測しないと正確には分からないので、パラメトリックでデザインする
    - [VCarve Pro Trial](https://www.vectric.com/free-trial/vcarve-pro)で操作練習
    - TecShopの ShopBot SBUの資料を持参
- 3/10(日)
    - TechShop 10:00-21:00 
    - 会員証忘れずに
    - 終了後は持ち帰るので袋などの用意





