# 14. Networking and communications
[repo](https://gitlab.fabcloud.org/yuichitamiya/mkdocs/tree/master/docs/assignments)

## Class site

[Networking and Communications](http://academy.cba.mit.edu/classes/networking_communications/index.html)

## Class video
[Fab-20190424D_Lesson13: networking and communications](https://vimeo.com/332461757)  
[Fab-20190424B_Review12: applications and implications](https://vimeo.com/332461078)  
[video](https://vimeo.com/academany/) 

## Assignment
> **individual assignment**:  
>      design, build, and connect wired or wireless node(s)  
>      with network or bus addresses  
> **group assignment**:  
>      send a message between two projects  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/embedded_networking_and_communications.html)
- Demonstrate workflows used in network design
- Implement and interpret networking protocols

## nueval-Check List
- Described your project using words/images/diagrams/schematic screenshots.
- Explained the programming process/es you used.
- Outlined problems and how you fixed them
- Included design files (or linked to where they are located) and original code

## [Turotial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week15_networking_and_communications/esp8266.html)  
[15.1. ESP8266 Introduction](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week15_networking_and_communications/esp8266.html)  
[15.2. Hello Serial Bus C](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week15_networking_and_communications/helloserialbus-c.html)

## For Japanese

### FAB15
- Thursday, August 1 (ElGouna): FAB Conference and Graduation Ceremony

### スケジュール
- Apr 24: networking and communications
    - Apr 27: local session
- Apr 30(Tue): mechanical design
    - No Asian review
    - May 4: local session
- May 08: interface and application programming
    - May 11: local session
- May 15: machine design
    - May 18: local session
- May 22: wildcard week (@Kannai)
    - May 25: local session
- May 29: invention, intellectual property, and income
    - Jun 01: local session
- Jun 06(Thu): project development
    - Jun 08: local session
- Jun 12: project presentations
- Jun 14: project presentations (@Kannai)
- Jun 17: project presentations
- Jun 19: project presentations

### ゴールデンウィーク予定
- [カレンダー FabAcademy Kannai2019](https://calendar.google.com/calendar/embed?src=s73m4ito9h9pvjce5ffjdds7pk%40group.calendar.google.com&ctz=Asia%2FTokyo)

### Machine Building
- [スラック　スレッド](https://fabacademyjapan.slack.com/archives/CCZG7GKU0/p1555666021004600)
- UFOキャッチャー的なもの
- そうめんを掴む
- ロボットハンド
- 必要な部品
    - ハンド部分の機構（有名なものについてはある程度調査済）
        - ?
    - 回転部
        - [ベアリング](https://www.monotaro.com/g/01221067/?displayId=103)
    - モータ（サーボとステッパー）を機構部に接続する時に軸受け部
        - [ユニバーサル ハブ](https://www.robotshop.com/jp/ja/lynxmotion-hub-02-universal-hub.html)
- 担当


### Wildcard Week
- [スラック　スレッド](https://fabacademyjapan.slack.com/archives/CCZG7GKU0/p1555666122005700)
- 刺繍
    - 布は持参
    - 普通の刺繍糸（上糸、下糸）はあり
- 複合材
    - [FRP手積み用ポリエステル樹脂 主剤](https://www.monotaro.com/g/01364669/?displayId=20)
    - [日特ポリエステル樹脂専用硬化剤](https://www.monotaro.com/g/01364668/?displayId=20)
    - 硬化時は圧を描ける
        - 圧縮袋  
    - 繊維は持参
        - 天然素材のみ（ガラス繊維やカーボンファイバーは不可）
- IndustrialOrigami的なFoldings
    - レーザーで切れ込み

### individual assignment 
design, build, and connect wired or wireless node(s)  
with network or bus addresses  
- Wired
    - Bus
    - I2C (配線間違い？)
        - hello.I2C.45.bridge
![hello.I2C.45.bridge](http://academy.cba.mit.edu/classes/networking_communications/I2C/hello.I2C.45.bridge.png)
        - hello.I2C.45.node
![hello.I2C.45.node](http://academy.cba.mit.edu/classes/networking_communications/I2C/hello.I2C.45.node.png)
- Wiress
    - ESP8266
        - Eagle lib?  
    - ESP32
        - Eagle lib?

### group assignment  
send a message between two projects  
- 3人の内、最低２人の基板で通信する

## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: economy
- Tuesday 13:00-14:00 JST and 22:00-23:00 JST
    - Asia Regional Review: none
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Tuesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
    - [Mechanical Design](http://academy.cba.mit.edu/classes/mechanical_design/index.html)

## group assignment
- design a machine that includes mechanism+actuation+automation
- build the mechanical parts and operate it manually
- document the group project and your individual contribution





