# 20. Project development

## Class site

[Project Development](http://academy.cba.mit.edu/classes/project_development/index.html)


## Class video
[Fab-20190606B_Review18: invention, intellectual property, and income](https://vimeo.com/340789943)  
[Fab-20190606D_Lesson19: project development](https://vimeo.com/340790238)  
[video](https://vimeo.com/academany/)   

## Assignment

>   Complete your final project, tracking your progress:  
>    what tasks have been completed, and what tasks remain?   
>    what has worked? what hasn't?  
>    what questions need to be resolved?  
>    what will happen when?  
>    what have you learned?  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_development.html)
-   Implement project plan
-   Apply time management techniques
-   Summarise and communicate the essence of your project development

## nueval-Check List
-   what is the deadline? How much time do I have left?
-   what tasks have been completed, and what tasks remain?
-   how will I complete the remaining tasks in time?
-   what has worked?
-   what hasn't?
-   what questions still need to be resolved?
-   what have you learned?

## [Turotial] (http://fabacademy.org/2019/docs/FabAcademy-Tutorials/index.html)
none

# Project Presentation

## Class site

[Project Presentation](http://academy.cba.mit.edu/classes/project_presentation/index.html)

>   Document a final project masterpiece that integrates the range of units covered,   
>
>      answering:  
>         What does it do?  
>         Who's done what beforehand?  
>         What did you design?  
>         What materials and components were used?  
>         Where did they come from?  
>         How much did they cost?  
>         What parts and systems were made?  
>         What processes were used?  
>         What questions were answered?  
>         How was it evaluated?  
>         What are the implications?  
>
>      Prepare a summary slide and a one minute video showing its  
>         conception, construction, and operation  
>
>      Your project should incorporate 2D and 3D design,  
>         additive and subtractive fabrication processes,  
>         electronics design and production,  
>         embedded microcontroller interfacing and programming,  
>         system integration and packaging  
>
>      Where possible, you should make rather than buy  
>         the parts of your project  
>
>      Projects can be separate or joint, but need to show individual   
>         mastery of the skills, and be independently operable   
>
>   Present your final project, weekly and group assignments, and documentation   


## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_requirements.html)

- Create your own integrated design
- Demonstrate 2D & 3D modelling capabilities applied to your own designs
- Select and apply appropriate additive and subtractive techniques
- Demonstrate competence in design, fabrication and programming of your own fabbed microcontroller PCB, including an input & output device

## nueval-Check List
-   Made your slide:1920 x 1080 pixels
    -   with your name, 
    -   project name, Fab Lab name, 
    -   a photo/render/sketch of your project, 
    -   a brief description of what your project is/does

-   Made a ~1 minute (10MB/1080p/720p) video of you explaining your project
-   Made a separate Final Project page that briefly summarises your project and
-   Included the BOM (Bill of Materials) for your project
-   Linked from this page to any weeks that you worked on your final project
-   Linked to your 
    -   presentation.png 
    -   presentation.mp4
-   Included all of your original design files in the archive (2D & 3D, board files & code) 
    -   No external hosting of final project files
    -   discuss file sizes with your instructor
-   Included the license you chose
-   Acknowledged work done by others


## For Japanese

### スケジュール

- Jun 06(Thu): project development
    - Jun 08: local session
- Jun 12: project presentations
- Jun 14: project presentations (@Kannai)
- Jun 17: project presentations
- Jun 19: project presentations
- June 19 cutoff for commits
- June 26 cutoff for review feedback
- July 3 cutoff for response
- July 10 cutoff for FAB15 

[class issue #44 final timing](https://gitlab.fabcloud.org/academany/fabacademy/2019/class/issues/44)  
-   post-evals  
    -   did present, didn't finish: rolling reviews up to December 1  
    -   didn't present: present at start of January cycle  


### Final Presentaion
- Jun 14(Fri), 22:00-: project presentations (@Kannai)
    - 持ち時間：2分30秒
    - unmute（関内からの最初の発表者）
- Slide & video
    - [Invention, Intellectual Property, and Income](http://academy.cba.mit.edu/classes/invention_IP_business/index.html)
        - prepare drafts of your summary slide (presentation.png, 1920x1080)
        - and video clip (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB)
        - and put them in your root directory
    - リンクの確認
        - [PRESENTATION SCHEDULE](https://finalprojects.fabacademy.org/#/schedule/2019) <-この画面で進める
            - Slide (presentation.png, 1920x1080)
            - Video (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB)
        - [PROJECT THUMBNAILS](https://finalprojects.fabacademy.org/#/thumbnails/2019)
    - 内容
        -　slide (nueval-Check List)
            -   with your name, 
            -   project name, Fab Lab name, 
            -   a photo/render/sketch of your project, 
            -   a brief description of what your project is/does
        - video
            - you explaining your project
- ネット環境
    - [class issue # 52](https://gitlab.fabcloud.org/academany/fabacademy/2019/class/issues/52)
        - test your audio/video/network connection before final presentations!
        -   WiFi（メイン）
        -   携帯（サブ）
        -   モバイルルーター（あれば）
    -   ZOOM  
        -　アプリ  
        -　アカウント  

### Final Project

- Assesment_[Final project requirements](http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_requirements.html)
    -   FAQ
        - Can I just design a shield for a commercial board in my final project?
            -  [Commercial Boards Policy](http://fabacademy.org/2019/docs/FabAcademy-Assessment/commercial_board_policy.html)
        - Can I use the satshakit/fabduino/raspberry pi for my final project?
            - You have to design your own board(s)
        - My final projects electronics is a tangle of wires but it works. So I guess this is it.
            - Your final project must show integration of the skills beyond early stage prototyping  
- Class site_ [Project Presentation](http://academy.cba.mit.edu/classes/project_presentation/index.html)
    -   Document a final project masterpiece that integrates the range of units covered, ...  
- Class site_ [Project Development](http://academy.cba.mit.edu/classes/project_development/index.html)
    - Project management:
        - triage
        - documentation during development
        - demand- vs supply-side time management
        - spiral development
        - system integration
        - finish quality 
-  [Invention, Intellectual Property, and Income](http://academy.cba.mit.edu/classes/invention_IP_business/index.html)
    - slide & video

### FAB15 EGYPT

[class issue #51_Tickets for Fab15 Conference - STUDENTS](https://gitlab.fabcloud.org/academany/fabacademy/2019/class/issues/51)  
- Fab Academy 2019 Active Students get a discounted rate of 275$ for the entrance ticket to attend to the Fab15 Conference in El Gouna + El Cairo (Egypt).  
- Fab Academy 2019 Graduates have a FREE PASS for the Fab15 Conference in El Gouna + El Cairo (Egypt), to take part in the Graduation Ceremony (August 1st.)  

